Package groovy.json.internal

# Class Exceptions.JsonInternalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.json.JsonException
groovy.json.internal.Exceptions.JsonInternalException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Exceptions`

public static class Exceptions.JsonInternalException extends JsonException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JsonInternalException(String message)`
`JsonInternalException(String message, Throwable cause)`
`JsonInternalException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
`String`
`getLocalizedMessage()`
`String`
`getMessage()`
`StackTraceElement[]`
`getStackTrace()`
`void`
`printStackTrace()`
`void`
`printStackTrace(PrintStream s)`
`void`
`printStackTrace(PrintWriter s)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JsonInternalException

public JsonInternalException(String message)

### JsonInternalException

public JsonInternalException(String message, Throwable cause)

### JsonInternalException

public JsonInternalException(Throwable cause)

## Method Details

### printStackTrace

public void printStackTrace(PrintStream s)

Overrides:
  `printStackTrace` in class `Throwable`

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `Throwable`

### getStackTrace

public StackTraceElement[] getStackTrace()

Overrides:
  `getStackTrace` in class `Throwable`

### getCause

public Throwable getCause()

Overrides:
  `getCause` in class `Throwable`

### printStackTrace

public void printStackTrace(PrintWriter s)

Overrides:
  `printStackTrace` in class `Throwable`

### printStackTrace

public void printStackTrace()

Overrides:
  `printStackTrace` in class `Throwable`